Update domain

PATCH
https://reloop.sh/api/domain/v1/:domain_id

Path Parameters

domain_idstringRequired

Body Parameters

click_trackingboolean

Whether click tracking is enabled

open_trackingboolean

Whether open tracking is enabled

sending_emailboolean

Whether sending email is enabled

receiving_emailboolean

Whether receiving email is enabled

tls"opportunistic""enforced"

Possible values: opportunistic | enforced

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: domain, error } = await reloop.domain.update("dom_123456789", {
  click_tracking: false,
});
if (error) throw error;
{
  "object": "domain",
  "id": "con_123456789",
  "domain": "send.example.com",
  "status": "pending",
  "userVerifiedDomain": true,
  "systemVerified": true,
  "customReturnPath": "inbound",
  "trackingSubdomain": "tracking",
  "isClickTrackingEnabled": true,
  "isOpenTrackingEnabled": true,
  "tls": "opportunistic",
  "isTrackingDomain": true,
  "isSendingEmailEnabled": true,
  "isReceivingEmailEnabled": true,
  "verificationFailedReason": "example_verificationFailedReason",
  "dnsRecords": [
    {
      "id": "dns_123456789",
      "recordType": "MX",
      "recordTypeName": "MX",
      "domain": "example.com",
      "name": "@",
      "value": "feedback-smtp.us-east-1.amazonses.com",
      "ttl": "Auto",
      "priority": 10,
      "status": "active",
      "createdAt": "2026-03-30T10:00:00.000Z",
      "updatedAt": "2026-03-30T10:00:00.000Z"
    }
  ],
  "lastVerifiedAt": "2026-03-23T10:00:00.000Z",
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z",
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page